\name{DNAtoProt}
\title{Translate Coding DNA/RNA Base Triplets to Amino Acids}
\alias{DNAtoProt}
\usage{
DNAtoProt(dna, mitochondria=FALSE)
}
\description{
\code{DNAtoProt} translates the nucleic acid base codes, \code{A},
\code{C}, \code{G}, and \code{T} or \code{U} in a coding sequence
(gene) to the standard three-letter amino acid codes.
}
\arguments{
\item{dna}{A vector or one character string containing a coding
sequence (a gene) with the standard nucleic acid base codes, \code{A},
\code{C}, \code{G}, and \code{T} or \code{U}.}
\item{mitochondria}{If TRUE, the special coding for mitochondrial
DNA/RNA is used.}
}
\value{
Returns a vector containing the standard three-letter amino acid codes
corresponding the the DNA/RNA sequence provided. \code{STP} are
termination codes.
}
\seealso{
\code{\link[dna]{find.DNA}}, \code{\link[dna]{read.DNA}}
}
\author{J.K. Lindsey}
\examples{
DNAtoProt("UCA")
DNAtoProt("AUAUGA")
DNAtoProt("AUAUGA", mitochondria=TRUE)
# an extremely short gene!!
sequence <- 
	c("A","T","G","T","A","T","C","A","T","G","G","G","G","A","A",
	"G","C","A","G","A","T","T","T","G","G","G","T","A","C","C",
	"A","C","C","C","A","A","G","T","A","T","T","G","T","A","A")
DNAtoProt(sequence)
}
\keyword{manip}
