\name{dotmatrix}
\title{Plot a Dot Matrix Comparing Two DNA Sequences}
\alias{dotmatrix}
\usage{
dotmatrix(dna, sequences=NULL, window=1, pch=NULL)
}
\description{
\code{dotmatrix} plots the matches between two sequences. If they are
of unequal length, only the first part of the longer sequence is used.
}
\arguments{
\item{dna}{A matrix containing two or more sequences as rows, a
list of two vectors possibly of unequal length, or a \code{response}
or \code{repeated} data object containing two or more sequences.}
\item{sequences}{If dna, contains more than two sequences, the names
or numbers of the two to be compared.}
\item{window}{The number of bases to be compared at each point.}
\item{pch}{The plotting symbol to be used. Defaults to \code{20} for
short sequences and \code{.} for longer sequences.}
}
\value{
Returns a list containing the maximum number of matches, the lag at
which this occurs, and the aligned sequences.
}
\seealso{
\code{\link[dna]{match.DNA}}, \code{\link[dna]{read.DNA}}
}
\author{J.K. Lindsey}
\examples{
seq1 <- trunc(runif(200,0,5))
seq2 <- trunc(runif(200,0,5))
dotmatrix(rbind(seq1,seq2))
dotmatrix(rbind(seq1,seq2), window=2)
dotmatrix(rbind(seq1,seq2), window=3)
}
\keyword{hplot}
