\name{match.DNA}
\title{Find Matches of a Set of Bases in a DNA/RNA Sequence}
\alias{match.DNA}
\usage{
match.DNA(dna, sequence=NULL, gaps=NULL)
}
\description{
\code{match.DNA} finds all matches of a short sequence of DNA or RNA
bases within a longer sequence. If the short sequence has length
\code{n}, the \code{n} reading frames in each direction (starting at
positions \code{1:n} from each end) will be checked.
}
\arguments{
\item{dna}{A vector or one character string containing a sequence of
the standard nucleic acid base codes, \code{A}, \code{C}, \code{G},
and \code{T} or \code{U}.}
\item{sequence}{The sequence to be searched for in \code{dna}.}
\item{gaps}{The code(s) for gaps.}
}
\value{
Prints out the positions of the first base (counting from the
beginning for forward reading frames and from the end for backward
frames) of each sequence found and returns a list of these positions.
}
\seealso{
\code{\link[dna]{dotmatrix}}, \code{\link[dna]{find.DNA}},
\code{\link[dna]{read.DNA}}
}
\author{J.K. Lindsey}
\examples{
sequence <- 
	c("T","T","C","T","A","T","C","A","T","G","G","G","G","A","A",
	"G","C","A","G","A","T","T","T","G","G","G","T","A","C","C",
	"A","C","C","C","A","A","G","T","A","T","T","G","A","C","T")
match.DNA(sequence,"AC")
match.DNA(sequence,"ATT")
}
\keyword{manip}
