\name{read.DNA}
\title{Read DNA Sequences from a File in Standard Format}
\alias{read.DNA}
\usage{
read.DNA(file, skip=0, nlines=0, name="DNA", na.strings=NA,
	response.obj=FALSE, split=TRUE)
}
\description{
\code{read.DNA} reads sequences from a file containing \code{skip}
lines of description followed by sequences, one per line with an
identifier, a space, and then the base codes without spaces.
}
\arguments{
\item{file}{The name of the file containing the sequences.}
\item{skip}{The number of lines in the description header to be skipped.}
\item{nlines}{The number of to be read in, if the whole file is not to
be used.}
\item{name}{The name to be given to the sequences.}
\item{na.strings}{The code(s) given to positions marking gaps.}
\item{response.obj}{If TRUE, returns a data object of class
\code{response}, otherwise a list of vectors of sequences.}
\item{split}{When \code{response.obj} is FALSE, a vector of single
codes is returned if \code{split} is TRUE, otherwise a list of
vectors of character strings.}
}
\value{
Returns either a vector of strings of sequences, a list of vectors of
sequences or a data object of class \code{response}.
}
\seealso{
\code{\link[rmutil]{restovec}}
}
\author{J.K. Lindsey}
\examples{
\dontrun{y <- read.DNA("test.dat")}
}
\keyword{file}
